Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class RequestSpotInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.RequestSpotInstancesResult

    public class RequestSpotInstancesResult

extends Object

The RequestSpotInstancesResult data type.

Constructor Summary
`RequestSpotInstancesResult()`

Method Summary
`List<SpotInstanceRequest>` | `getSpotInstanceRequests()` Contains a list of Spot Instance requests.
`void` | `setSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)` Contains a list of Spot Instance requests.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RequestSpotInstancesResult` | `withSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)` Contains a list of Spot Instance requests.
`RequestSpotInstancesResult` | `withSpotInstanceRequests(SpotInstanceRequest... spotInstanceRequests)` Contains a list of Spot Instance requests.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestSpotInstancesResult

    public RequestSpotInstancesResult()

Method Detail

### getSpotInstanceRequests

    public List<SpotInstanceRequest> getSpotInstanceRequests()

  Contains a list of Spot Instance requests.

  Returns:
    Contains a list of Spot Instance requests.

### setSpotInstanceRequests

    public void setSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)

  Contains a list of Spot Instance requests.

  Parameters:
    `spotInstanceRequests` - Contains a list of Spot Instance requests.

### withSpotInstanceRequests

    public RequestSpotInstancesResult withSpotInstanceRequests(SpotInstanceRequest... spotInstanceRequests)

  Contains a list of Spot Instance requests.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotInstanceRequests` - Contains a list of Spot Instance requests.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSpotInstanceRequests

    public RequestSpotInstancesResult withSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)

  Contains a list of Spot Instance requests.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotInstanceRequests` - Contains a list of Spot Instance requests.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.